<?PHP
/*
 * DIREITOS AUTORAIS RESERVADOS (C) 2007 UFRJ
 * 
 * ESTE PROGRAMA É SOFTWARE LIVRE; VOCÊ PODE REDISTRIBUÍ-LO E/OU MODIFICÁ-LO SOB OS
 * TERMOS DA LICENÇA PÚBLICA GERAL GNU CONFORME PUBLICADA PELA FREE SOFTWARE FOUNDATION;
 * TANTO A VERSÃO 2 DA LICENÇA, COMO (A SEU CRITÉRIO) QUALQUER VERSÃO POSTERIOR.

 * ESTE PROGRAMA É DISTRIBUÍDO NA EXPECTATIVA DE QUE SEJA ÚTIL, PORÉM, SEM NENHUMA GARANTIA;
 * NEM MESMO A GARANTIA IMPLÍCITA DE COMERCIABILIDADE OU ADEQUAÇÃO A UMA FINALIDADE ESPECÍFICA.
 * CONSULTE A LICENÇA PÚBLICA GERAL DO GNU PARA MAIS DETALHES.
 * 
 * VOCÊ DEVE TER RECEBIDO UMA CÓPIA DA LICENÇA PÚBLICA GERAL DO GNU JUNTO COM ESTE PROGRAMA; 
 * SE NÃO, ACESSE <<HTTP://WWW.GNU.ORG/LICENSES/LICENSES.PT-BR.HTML>>
 */

<?

include "includes/begin.php";

$sql = "SELECT nomeusuario, codigousuario 
        FROM   cultura.usuario 
		  WHERE  usuario is NULL";

$result=pg_query($dbh, $sql);
while ($row = pg_fetch_array($result))
{
    $codigousuario = $row["codigousuario"];
	 $usuario = $row["nomeusuario"];
	 $usuario = trim(substr($usuario,0,10));
	 $sql1 = "UPDATE  cultura.usuario 
	          SET     usuario = '$usuario' 
				 WHERE	codigousuario = $codigousuario";
	 $result1=pg_query($dbh, $sql1);

	 $sql2 = "INSERT INTO cultura.logon
             (usuario, tipo_perfil, cria_usuario, conferencia_estatisticas,
              usuario_administrador, criou_usuario)
             VALUES
             ('$usuario', 'C', 'N', 'N', 'N', '$usuario')";
    $result2=pg_query($dbh, $sql2);
}

pg_close($dbh);

?>

